commit: 79113e156a535fdbca51eab9a2202f7f330fcc9a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 26 04:41:24 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 26 04:54:44 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79113e15
dev-python/pydantic-core: Bump to 2.37.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pydantic-core/Manifest | 1 +
.../pydantic-core/pydantic-core-2.37.1.ebuild | 185 +++++++++++++++++++++
2 files changed, 186 insertions(+)
diff --git a/dev-python/pydantic-core/Manifest
b/dev-python/pydantic-core/Manifest
index 808174b15e18..72526cbb566f 100644
--- a/dev-python/pydantic-core/Manifest
+++ b/dev-python/pydantic-core/Manifest
@@ -54,6 +54,7 @@ DIST proc-macro2-1.0.86.crate 48958 BLAKE2B
4b89e07f23af8328dbb34fe2b3f1b202f1e6
DIST pydantic_core-2.33.2.tar.gz 435195 BLAKE2B
8ac251da2eb8b9f4e54a55ca79945f18d5a229c76386b6076bc3c7e33f2a18f4e47b430afc952b4b19e48d3d5bb8d7b8ad1aca012a8b0707445c06c00a649a0a
SHA512
253609ca32aa0a1f0e15271982494832e02f2b4e072439d9a9372ead3d914edf60d6ab50e38bbeea17c233eb20a938948631e1c704bc31785d7e81442d043893
DIST pydantic_core-2.35.2.tar.gz 437878 BLAKE2B
5fd9d863bccd1ac20c44cb7c9d596c4f22bea384c9fc84a7ce46d1dd8887109824ed841bbdaa4646bbea37d4d5f9e88aeb3e69410e8dab5eee63f8fa82bbef78
SHA512
59e7f7f5462327247ad6e21594fc288a5e2e8bb2401a199a07ab8183858772b3ddcb39576229a3f939085d7aa2e2576ef211738b8335b51c358b16b2f116879a
DIST pydantic_core-2.36.0.tar.gz 442517 BLAKE2B
4de253b3280c7c3ae326f723c85c1732345250e7383261d61d04d6176b90dbe476c9cd505973a511ecf48f2c1d524531608eccc37a068e4ccc32c8acf438c1c9
SHA512
afd258a561da73ed4aa0e69afb2121e57242b4d2d3660b37546f9c518f24580c45493b48a3a394deb6a91cb6437c5aea1a5effad453f38d0cf6df41bea6594c4
+DIST pydantic_core-2.37.1.tar.gz 443893 BLAKE2B
6bd619365ded8e679a73a8b44813078237ecee6105ad240c7019bd85e05e3e6da657e7616f54cb53c51a4531ff60c34194c4de0ad235e3123b50e503b8e865ca
SHA512
02f9f026243ea92b6e1257bfd1bdedad574f96cd894d5601fa7a5ac6df3a6cdb8e3938ecd1e3ee9ef9891cbbb4e9aaec4fb54e98b48162352ac7be2cd1477020
DIST pyo3-0.24.1.crate 1113050 BLAKE2B
5a203f8c845b08b40ed64561d385d2e4134a38916723ef6b0b4be8f44fa9de594c4eca138c318ad83a156f66273b20b55acb19897dca3eba5d479e6333be815e
SHA512
6c2a8f9d554a3cf151a796ee20610b596ebdbf9e642d6b2ddc35d0142841d7be51e739ddef4332cfa8c4625c972d9705eae5f694b4d8907882bec4add7c6c6ed
DIST pyo3-0.25.0.crate 1120850 BLAKE2B
6f373129d032e6980d058ec5dbfea58a7ce0cb8ed2b32aa852a14746cfd3a541b02286676c934a5d7f7bc1bea03e986e93e44de42114f7620b487977c0092d85
SHA512
83336d284eefdef5bc26dec4880e21c608a001b4676b3628eb59b7c0011fb672ca81fca035666b714eeb158809064f9b5b0720802045d5ff8fc9f6af02813c30
DIST pyo3-0.25.1.crate 1121993 BLAKE2B
79a982131fc4c4f9292e97bc8d938d236ee9cefb99bb90646a84703660ad506aee8ae1f1e626d985aa62c695722510f2697544581fa5c3a01f193be2bc2779fe
SHA512
9c842c89d274dba0c8a3085a8524736245d65f07e5c05bc13fc89167cfdeb1a4ff2b4a9da9467eee918e45d01777473f39bda11efe0052859969d4fdeac1adc6
diff --git a/dev-python/pydantic-core/pydantic-core-2.37.1.ebuild
b/dev-python/pydantic-core/pydantic-core-2.37.1.ebuild
new file mode 100644
index 000000000000..58de4ed76beb
--- /dev/null
+++ b/dev-python/pydantic-core/pydantic-core-2.37.1.ebuild
@@ -0,0 +1,185 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( pypy3_11 python3_{11..13} )
+
+CRATES="
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]+wasi-0.2.4
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Core validation logic for pydantic written in Rust"
+HOMEPAGE="
+ https://github.com/pydantic/pydantic-core/
+ https://pypi.org/project/pydantic_core/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0 Unicode-DFS-2016
+ || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.14.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/dirty-equals-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.63.0[${PYTHON_USEDEP}]
+ >=dev-python/inline-snapshot-0.13.3[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.10.4[${PYTHON_USEDEP}]
+ >=dev-python/typing-inspection-0.4.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{mock,timeout} )
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/pydantic_core/_pydantic_core.*.so"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -i -e '/--benchmark/d' pyproject.toml || die
+ sed -i -e '/^strip/d' Cargo.toml || die
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+ local EPYTEST_DESELECT=(
+ # TODO: recursion till segfault
+ tests/serializers/test_functions.py::test_recursive_call
+ )
+
+ case ${EPYTHON} in
+ pypy3.11)
+ EPYTEST_DESELECT+=(
+ # different repr() in exception
+ # https://github.com/pypy/pypy/issues/5220
+
tests/validators/test_arguments.py::test_error_display
+
tests/validators/test_definitions_recursive.py::test_error_inside_definition_wrapper
+
tests/validators/test_string.py::test_invalid_regex
+
tests/validators/test_string.py::test_backtracking_regex_rust_unsupported
+
tests/validators/test_union.py::test_empty_choices
+ )
+ ;;
+ esac
+
+ rm -rf pydantic_core || die
+ # tests link to libpython, so they fail to link on pypy3
+ [[ ${EPYTHON} != pypy3* ]] && cargo_src_test
+ epytest -o xfail_strict=False -o addopts=
+}